Name:          akonadi
Version:       1.13.0
Release:       3mamba
Summary:       PIM Storage Service
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://pim.kde.org/akonadi/
Source:        ftp://ftp.kde.org/pub/kde/stable/akonadi/src/akonadi-%{version}.tar.bz2
Patch0:        %{name}-restore-builtin-automoc4.patch
Patch1:        %{name}-1.1.1-mysql_conf.patch
Patch2:        %{name}-1.4.0-sqlite_default.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libboost-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libqt4-mysql
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: mysql
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: automoc4
BuildRequires: libsqlite-devel
Requires:      libakonadi = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libqt4-sqlite
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PIM Storage Service.
This package contains the server and control files.

%package -n libakonadi
Group:         System/Libraries
Summary:       Static libraries and headers for %{name}

%description -n libakonadi
PIM Storage Service.
This package contains static libraries and header files need for development.

%description
PIM Storage Service.

%package -n libakonadi-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libakonadi = %{?epoch:%epoch:}%{version}-%{release}

%description -n libakonadi-devel
PIM Storage Service.
This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p0 -b .restore-automoc4
#%patch1 -p1
#%patch2 -p1

%build
%cmake -d build \
   -DCONFIG_INSTALL_DIR:PATH=%{_sysconfdir} \
   -DDATABASE_BACKEND=SQLITE \
   -DINSTALL_QSQLITE_IN_QT_PREFIX:BOOL=ON \
   -DQT_PLUGINS_DIR=%{_qt4_plugindir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -d -m0755 %{buildroot}%{_sysconfdir}/xprofile.d/
cat >> %{buildroot}%{_sysconfdir}/xprofile.d/akonadi.sh << _EOF
# set akonadi default backend db to QSQLITE3 when mysqld is not installed
if [ ! -e %{_sbindir}/mysqld -a -e ~/.config/akonadi/akonadiserverrc -a ! -e ~/.config/akonadi.backup.mysqld ]; then
   [ "`grep "Driver=QMYSQL" ~/.config/akonadi/akonadiserverrc`" ] && mv ~/.config/akonadi ~/.config/akonadi.backup.mysqld
fi
_EOF
chmod +x %{buildroot}%{_sysconfdir}/xprofile.d/akonadi.sh

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :

%files
%defattr(-,root,root)
%{_sysconfdir}/xprofile.d/akonadi.sh
%dir %{_sysconfdir}/akonadi/
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global.conf
%config(noreplace) %{_sysconfdir}/akonadi/mysql-global-mobile.conf
%{_bindir}/akonadi_agent_launcher
%{_bindir}/akonadi_agent_server
%{_bindir}/akonadi_control
%{_bindir}/akonadi_rds
%{_bindir}/akonadictl
%{_bindir}/akonadiserver
%{_bindir}/asapcat

%files -n libakonadi
%defattr(-,root,root)
%{_libdir}/libakonadiprotocolinternals.so.*
%{_qt4_plugindir}/sqldrivers/libqsqlite3.so
%{_datadir}/dbus-1/interfaces/org.freedesktop.Akonadi.*
%{_datadir}/dbus-1/services/org.freedesktop.Akonadi.*
%{_datadir}/mime/packages/akonadi-mime.xml
%doc AUTHORS NEWS README

%files -n libakonadi-devel
%defattr(-,root,root)
%{_includedir}/akonadi/
%{_libdir}/libakonadiprotocolinternals.so
%{_libdir}/cmake/Akonadi/Akonadi*.cmake
%{_libdir}/pkgconfig/akonadi.pc

%changelog
* Tue Sep 30 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-3mamba
- fix default to QSQLITE3 for database backend

* Sun Aug 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13.0-2mamba
- install qt sqlite3 plugin in correct directory

* Thu Aug 21 2014 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Tue Apr 08 2014 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Sun Dec 08 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11.0-1mamba
- update to 1.11.0

* Thu Dec 05 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.3-2mamba
- rebuilt with libboost 1.45

* Tue Oct 15 2013 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- update to 1.10.3

* Fri Jul 26 2013 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Tue Jul 23 2013 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Sun Jul 21 2013 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic update by autodist

* Mon Jun 17 2013 Automatic Build System <autodist@mambasoft.it> 1.9.80-1mamba
- automatic version update by autodist

* Mon May 06 2013 Automatic Build System <autodist@mambasoft.it> 1.9.2-1mamba
- automatic version update by autodist

* Sat Mar 09 2013 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Fri Jan 11 2013 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Mon Nov 19 2012 Automatic Build System <autodist@mambasoft.it> 1.8.80-1mamba
- automatic version update by autodist

* Fri Oct 26 2012 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Wed Aug 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.0-1mamba
- update to 1.8.0

* Wed Mar 14 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-1mamba
- update to 1.7.1

* Mon Feb 06 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-1mamba
- update to 1.7.0

* Fri Nov 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.2-1mamba
- update to 1.6.2

* Mon Jun 20 2011 Automatic Build System <autodist@mambasoft.it> 1.5.80-1mamba
- automatic update by autodist

* Mon Jun 06 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.3-1mamba
- update to 1.5.3

* Sun Jun 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.1-2mamba
- set Sqlite3 as the default db backend
- added xprofile script to set Sqlite3 as default backend for user (when mysqld is not installed)

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic update by autodist

* Mon Dec 27 2010 Automatic Build System <autodist@mambasoft.it> 1.4.90-1mamba
- automatic update by autodist

* Sun Dec 19 2010 Automatic Build System <autodist@mambasoft.it> 1.4.85-1mamba
- automatic update by autodist

* Wed Dec 15 2010 Automatic Build System <autodist@mambasoft.it> 1.4.80-1mamba
- automatic update by autodist

* Wed Nov 10 2010 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic update by autodist

* Mon Sep 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-3mamba
- patched to use QSQLITE as default backend driver (internally optimized QSQLITE3 crashes)
- removed requirements for mysql components

* Tue Sep 14 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-2mamba
- added requirement for mysql-client

* Fri Aug 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.0-1mamba
- update to 1.4.0

* Wed Jul 07 2010 Automatic Build System <autodist@mambasoft.it> 1.3.90-1mamba
- automatic update by autodist

* Mon Jun 14 2010 Automatic Build System <autodist@mambasoft.it> 1.3.85-1mamba
- automatic update by autodist

* Sat Mar 13 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Tue Jan 26 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.3.0-1mamba
- update to 1.3.0

* Tue Jan 19 2010 Davide Madrisan <davide.madrisan@gmail.com> 1.2.90-1mamba
- update to 1.2.90

* Fri Nov 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- added requirement for libqt4-mysql

* Sat Aug 29 2009 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic update by autodist

* Sun Aug 02 2009 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 1.1.95-1mamba
- automatic update by autodist

* Sun Jun 07 2009 Automatic Build System <autodist@mambasoft.it> 1.1.90-2mamba
- automatic rebuild by autodist

* Thu Jun 04 2009 Automatic Build System <autodist@mambasoft.it> 1.1.90-1mamba
- automatic update by autodist

* Fri May 29 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.85-1mamba
- update to 1.1.85
- added requirement for mysql

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- automatic update by autodist

* Tue Oct 07 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0
- package renamed to akonadi, library moved to libakonadi* packages

* Tue Jun 10 2008 Aleph0 <aleph0@openmamba.org> 812787-1mamba
- package created by autospec
